DCMTK: DRTDoseReferenceSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTDoseReferenceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTDoseReferenceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getConstraintWeight (OFString &value, const signed long pos=0) const
| get ConstraintWeight (300a,0021)
OFCondition | getConstraintWeight (Float64 &value, const unsigned long pos=0) const
| get ConstraintWeight (300a,0021)
OFCondition | getDeliveryMaximumDose (OFString &value, const signed long pos=0) const
| get DeliveryMaximumDose (300a,0023)
OFCondition | getDeliveryMaximumDose (Float64 &value, const unsigned long pos=0) const
| get DeliveryMaximumDose (300a,0023)
OFCondition | getDeliveryWarningDose (OFString &value, const signed long pos=0) const
| get DeliveryWarningDose (300a,0022)
OFCondition | getDeliveryWarningDose (Float64 &value, const unsigned long pos=0) const
| get DeliveryWarningDose (300a,0022)
OFCondition | getDoseReferenceDescription (OFString &value, const signed long pos=0) const
| get DoseReferenceDescription (300a,0016)
OFCondition | getDoseReferenceNumber (OFString &value, const signed long pos=0) const
| get DoseReferenceNumber (300a,0012)
OFCondition | getDoseReferenceNumber (Sint32 &value, const unsigned long pos=0) const
| get DoseReferenceNumber (300a,0012)
OFCondition | getDoseReferencePointCoordinates (OFString &value, const signed long pos=0) const
| get DoseReferencePointCoordinates (300a,0018)
OFCondition | getDoseReferencePointCoordinates (Float64 &value, const unsigned long pos=0) const
| get DoseReferencePointCoordinates (300a,0018)
OFCondition | getDoseReferencePointCoordinates (OFVector< Float64 > &value) const
| get DoseReferencePointCoordinates (300a,0018)
OFCondition | getDoseReferenceStructureType (OFString &value, const signed long pos=0) const
| get DoseReferenceStructureType (300a,0014)
OFCondition | getDoseReferenceType (OFString &value, const signed long pos=0) const
| get DoseReferenceType (300a,0020)
OFCondition | getDoseReferenceUID (OFString &value, const signed long pos=0) const
| get DoseReferenceUID (300a,0013)
OFCondition | getNominalPriorDose (OFString &value, const signed long pos=0) const
| get NominalPriorDose (300a,001a)
OFCondition | getNominalPriorDose (Float64 &value, const unsigned long pos=0) const
| get NominalPriorDose (300a,001a)
OFCondition | getOrganAtRiskFullVolumeDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskFullVolumeDose (300a,002a)
OFCondition | getOrganAtRiskFullVolumeDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskFullVolumeDose (300a,002a)
OFCondition | getOrganAtRiskLimitDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskLimitDose (300a,002b)
OFCondition | getOrganAtRiskLimitDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskLimitDose (300a,002b)
OFCondition | getOrganAtRiskMaximumDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskMaximumDose (300a,002c)
OFCondition | getOrganAtRiskMaximumDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskMaximumDose (300a,002c)
OFCondition | getOrganAtRiskOverdoseVolumeFraction (OFString &value, const signed long pos=0) const
| get OrganAtRiskOverdoseVolumeFraction (300a,002d)
OFCondition | getOrganAtRiskOverdoseVolumeFraction (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskOverdoseVolumeFraction (300a,002d)
OFCondition | getReferencedROINumber (OFString &value, const signed long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | getReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | getTargetMaximumDose (OFString &value, const signed long pos=0) const
| get TargetMaximumDose (300a,0027)
OFCondition | getTargetMaximumDose (Float64 &value, const unsigned long pos=0) const
| get TargetMaximumDose (300a,0027)
OFCondition | getTargetMinimumDose (OFString &value, const signed long pos=0) const
| get TargetMinimumDose (300a,0025)
OFCondition | getTargetMinimumDose (Float64 &value, const unsigned long pos=0) const
| get TargetMinimumDose (300a,0025)
OFCondition | getTargetPrescriptionDose (OFString &value, const signed long pos=0) const
| get TargetPrescriptionDose (300a,0026)
OFCondition | getTargetPrescriptionDose (Float64 &value, const unsigned long pos=0) const
| get TargetPrescriptionDose (300a,0026)
OFCondition | getTargetUnderdoseVolumeFraction (OFString &value, const signed long pos=0) const
| get TargetUnderdoseVolumeFraction (300a,0028)
OFCondition | getTargetUnderdoseVolumeFraction (Float64 &value, const unsigned long pos=0) const
| get TargetUnderdoseVolumeFraction (300a,0028)
OFCondition | setConstraintWeight (const OFString &value, const OFBool check=OFTrue)
| set ConstraintWeight (300a,0021)
OFCondition | setDeliveryMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set DeliveryMaximumDose (300a,0023)
OFCondition | setDeliveryWarningDose (const OFString &value, const OFBool check=OFTrue)
| set DeliveryWarningDose (300a,0022)
OFCondition | setDoseReferenceDescription (const OFString &value, const OFBool check=OFTrue)
| set DoseReferenceDescription (300a,0016)
OFCondition | setDoseReferenceNumber (const OFString &value, const OFBool check=OFTrue)
| set DoseReferenceNumber (300a,0012)
OFCondition | setDoseReferencePointCoordinates (const OFString &value, const OFBool check=OFTrue)
| set DoseReferencePointCoordinates (300a,0018)
OFCondition | setDoseReferenceStructureType (const OFString &value, const OFBool check=OFTrue)
| set DoseReferenceStructureType (300a,0014)
OFCondition | setDoseReferenceType (const OFString &value, const OFBool check=OFTrue)
| set DoseReferenceType (300a,0020)
OFCondition | setDoseReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set DoseReferenceUID (300a,0013)
OFCondition | setNominalPriorDose (const OFString &value, const OFBool check=OFTrue)
| set NominalPriorDose (300a,001a)
OFCondition | setOrganAtRiskFullVolumeDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskFullVolumeDose (300a,002a)
OFCondition | setOrganAtRiskLimitDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskLimitDose (300a,002b)
OFCondition | setOrganAtRiskMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskMaximumDose (300a,002c)
OFCondition | setOrganAtRiskOverdoseVolumeFraction (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskOverdoseVolumeFraction (300a,002d)
OFCondition | setReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedROINumber (3006,0084)
OFCondition | setTargetMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set TargetMaximumDose (300a,0027)
OFCondition | setTargetMinimumDose (const OFString &value, const OFBool check=OFTrue)
| set TargetMinimumDose (300a,0025)
OFCondition | setTargetPrescriptionDose (const OFString &value, const OFBool check=OFTrue)
| set TargetPrescriptionDose (300a,0026)
OFCondition | setTargetUnderdoseVolumeFraction (const OFString &value, const OFBool check=OFTrue)
| set TargetUnderdoseVolumeFraction (300a,0028)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | ConstraintWeight
| ConstraintWeight (300a,0021) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveryMaximumDose
| DeliveryMaximumDose (300a,0023) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveryWarningDose
| DeliveryWarningDose (300a,0022) vr=DS, vm=1, type=3.
DcmLongString | DoseReferenceDescription
| DoseReferenceDescription (300a,0016) vr=LO, vm=1, type=3.
DcmIntegerString | DoseReferenceNumber
| DoseReferenceNumber (300a,0012) vr=IS, vm=1, type=1.
DcmDecimalString | DoseReferencePointCoordinates
| DoseReferencePointCoordinates (300a,0018) vr=DS, vm=3, type=1C.
DcmCodeString | DoseReferenceStructureType
| DoseReferenceStructureType (300a,0014) vr=CS, vm=1, type=1.
DcmCodeString | DoseReferenceType
| DoseReferenceType (300a,0020) vr=CS, vm=1, type=1.
DcmUniqueIdentifier | DoseReferenceUID
| DoseReferenceUID (300a,0013) vr=UI, vm=1, type=3.
DcmDecimalString | NominalPriorDose
| NominalPriorDose (300a,001a) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskFullVolumeDose
| OrganAtRiskFullVolumeDose (300a,002a) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskLimitDose
| OrganAtRiskLimitDose (300a,002b) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskMaximumDose
| OrganAtRiskMaximumDose (300a,002c) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskOverdoseVolumeFraction
| OrganAtRiskOverdoseVolumeFraction (300a,002d) vr=DS, vm=1, type=3.
DcmIntegerString | ReferencedROINumber
| ReferencedROINumber (3006,0084) vr=IS, vm=1, type=1C.
DcmDecimalString | TargetMaximumDose
| TargetMaximumDose (300a,0027) vr=DS, vm=1, type=3.
DcmDecimalString | TargetMinimumDose
| TargetMinimumDose (300a,0025) vr=DS, vm=1, type=3.
DcmDecimalString | TargetPrescriptionDose
| TargetPrescriptionDose (300a,0026) vr=DS, vm=1, type=3.
DcmDecimalString | TargetUnderdoseVolumeFraction
| TargetUnderdoseVolumeFraction (300a,0028) vr=DS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTDoseReferenceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTDoseReferenceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getConstraintWeight() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getConstraintWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ConstraintWeight (300a,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getConstraintWeight() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getConstraintWeight | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ConstraintWeight (300a,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryMaximumDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getDeliveryMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DeliveryMaximumDose (300a,0023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryMaximumDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getDeliveryMaximumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeliveryMaximumDose (300a,0023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryWarningDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getDeliveryWarningDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DeliveryWarningDose (300a,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryWarningDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getDeliveryWarningDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeliveryWarningDose (300a,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceDescription()

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferenceDescription (300a,0016)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceNumber() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferenceNumber (300a,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceNumber() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get DoseReferenceNumber (300a,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferencePointCoordinates() [1/3]

OFCondition DRTDoseReferenceSequence::Item::getDoseReferencePointCoordinates | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DoseReferencePointCoordinates (300a,0018)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferencePointCoordinates() [2/3]

OFCondition DRTDoseReferenceSequence::Item::getDoseReferencePointCoordinates | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferencePointCoordinates (300a,0018)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferencePointCoordinates() [3/3]

OFCondition DRTDoseReferenceSequence::Item::getDoseReferencePointCoordinates | ( | OFVector< Float64 > & | value | ) | const

get DoseReferencePointCoordinates (300a,0018)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceStructureType()

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceStructureType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferenceStructureType (300a,0014)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceType()

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferenceType (300a,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseReferenceUID()

OFCondition DRTDoseReferenceSequence::Item::getDoseReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseReferenceUID (300a,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalPriorDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getNominalPriorDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get NominalPriorDose (300a,001a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalPriorDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getNominalPriorDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NominalPriorDose (300a,001a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskFullVolumeDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskFullVolumeDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskFullVolumeDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskFullVolumeDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskLimitDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskLimitDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OrganAtRiskLimitDose (300a,002b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskLimitDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskLimitDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OrganAtRiskLimitDose (300a,002b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskMaximumDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskMaximumDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskMaximumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskOverdoseVolumeFraction() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskOverdoseVolumeFraction | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskOverdoseVolumeFraction() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getOrganAtRiskOverdoseVolumeFraction | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMaximumDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TargetMaximumDose (300a,0027)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMaximumDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetMaximumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TargetMaximumDose (300a,0027)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMinimumDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetMinimumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TargetMinimumDose (300a,0025)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMinimumDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetMinimumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TargetMinimumDose (300a,0025)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetPrescriptionDose() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetPrescriptionDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TargetPrescriptionDose (300a,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetPrescriptionDose() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetPrescriptionDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TargetPrescriptionDose (300a,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetUnderdoseVolumeFraction() [1/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetUnderdoseVolumeFraction | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetUnderdoseVolumeFraction() [2/2]

OFCondition DRTDoseReferenceSequence::Item::getTargetUnderdoseVolumeFraction | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTDoseReferenceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTDoseReferenceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTDoseReferenceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTDoseReferenceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setConstraintWeight()

OFCondition DRTDoseReferenceSequence::Item::setConstraintWeight | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ConstraintWeight (300a,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveryMaximumDose()

OFCondition DRTDoseReferenceSequence::Item::setDeliveryMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeliveryMaximumDose (300a,0023)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveryWarningDose()

OFCondition DRTDoseReferenceSequence::Item::setDeliveryWarningDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeliveryWarningDose (300a,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferenceDescription()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferenceDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferenceDescription (300a,0016)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferenceNumber()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferenceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferenceNumber (300a,0012)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferencePointCoordinates()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferencePointCoordinates | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferencePointCoordinates (300a,0018)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferenceStructureType()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferenceStructureType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferenceStructureType (300a,0014)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferenceType()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferenceType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferenceType (300a,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseReferenceUID()

OFCondition DRTDoseReferenceSequence::Item::setDoseReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseReferenceUID (300a,0013)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNominalPriorDose()

OFCondition DRTDoseReferenceSequence::Item::setNominalPriorDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NominalPriorDose (300a,001a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskFullVolumeDose()

OFCondition DRTDoseReferenceSequence::Item::setOrganAtRiskFullVolumeDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskLimitDose()

OFCondition DRTDoseReferenceSequence::Item::setOrganAtRiskLimitDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OrganAtRiskLimitDose (300a,002b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskMaximumDose()

OFCondition DRTDoseReferenceSequence::Item::setOrganAtRiskMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskOverdoseVolumeFraction()

OFCondition DRTDoseReferenceSequence::Item::setOrganAtRiskOverdoseVolumeFraction | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedROINumber()

OFCondition DRTDoseReferenceSequence::Item::setReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedROINumber (3006,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetMaximumDose()

OFCondition DRTDoseReferenceSequence::Item::setTargetMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TargetMaximumDose (300a,0027)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetMinimumDose()

OFCondition DRTDoseReferenceSequence::Item::setTargetMinimumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TargetMinimumDose (300a,0025)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetPrescriptionDose()

OFCondition DRTDoseReferenceSequence::Item::setTargetPrescriptionDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TargetPrescriptionDose (300a,0026)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetUnderdoseVolumeFraction()

OFCondition DRTDoseReferenceSequence::Item::setTargetUnderdoseVolumeFraction | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTDoseReferenceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtdrs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2